rules:
  ## Bronze
  config-flow: done
  test-before-configure: done
  unique-config-entry: done
  config-flow-test-coverage: done
  runtime-data: done
  test-before-setup: done
  appropriate-polling: done
  entity-unique-id: done
  has-entity-name: done
  entity-event-setup: done
  dependency-transparency: done
  action-setup:
    status: exempt
    comment: Plugwise integration has no custom actions
  common-modules: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  docs-actions: done
  brands: done
  ## Silver
  config-entry-unloading: done
  log-when-unavailable: done
  entity-unavailable: done
  action-exceptions: done
  reauthentication-flow:
    status: exempt
    comment: The hubs have a hardcoded `Smile ID` printed on the sticker used as password, it can not be changed
  parallel-updates: done
  test-coverage: done
  integration-owner: done
  docs-installation-parameters: done
  docs-configuration-parameters:
    status: exempt
    comment: Plugwise has no options flow
  ## Gold
  entity-translations: done
  entity-device-class: done
  devices: done
  entity-category: done
  entity-disabled-by-default: done
  discovery: done
  stale-devices: done
  diagnostics: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: done
  dynamic-devices: done
  discovery-update-info: done
  repair-issues:
    status: exempt
    comment: This integration does not have repairs
  docs-use-cases: done
  docs-supported-devices: done
  docs-supported-functions: done
  docs-data-update: done
  docs-known-limitations: done
  docs-troubleshooting: done
  docs-examples: done
  ## Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
